Page MenuHomePhabricator

osmosis state file on maps1004 is outdated
Closed, ResolvedPublic

Description

The timestamp in the osmosis state file on maps1004 is from 2016. Strangely enough that file was modified recently. A quick look in the osm2pgsql log file does not show anything obviously wrong (/var/log/osmosis/osm2pgsql.log-20181018).

gehel@maps1004:~$ cat /srv/osmosis/state.txt 
#Thu Oct 18 05:20:09 UTC 2018
sequenceNumber=1369
timestamp=2016-06-12T00\:00\:00Z
gehel@maps1004:~$ ls -lh /srv/osmosis/state.txt 
-rw-r--r-- 1 osmupdater osmupdater 83 Oct 18 05:20 /srv/osmosis/state.txt

Event Timeline

Gehel triaged this task as High priority.Oct 18 2018, 8:11 AM
Gehel created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2018, 8:11 AM
MSantos closed this task as Resolved.Oct 23 2018, 10:07 PM

I apologize about that, it was a human error. Database needed to be restarted with the initial import script because the wrong state.txt file inserted outdated data into the Database.

The database is now up to date with the latest OSM PBF file available (2018-10-18), just need some index functions to finish, and has the following content inside state.txt:

#Wed Oct 17 00:07:08 UTC 2018
sequenceNumber=2226
timestamp=2018-10-17T00\:00\:00Z

Which was downloaded from https://planet.openstreetmap.org/replication/day/000/002/226.state.txt